function handles = setSelectedImage( handles, id )

handles.selectedImageID = id;

handles.image = imread([ handles.files.directory filesep cell2mat(handles.files.name(id)) ]);

handles.imageBW = handles.image(:,:,2);

% update handles with image size
handles.imH = size(handles.image, 1);
handles.imW = size(handles.image, 2);

% save data
guidata( handles.output, handles )